# Get Order Status

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Orders", href: "/trading/rest-api/orders" },
    { label: "Get Order Status" },
  ]}
  title="Get Order Status"
  method="POST"
  url="https://api.gemini.com/v1/order/status"
  description="Get the status for an order."
  note={{
    title: "Note",
    children: (
      <>
        <p style={{ margin: "0 0 8px" }}>Gemini recommends using our <a href="/websocket/order-events/about" style={{ color: "inherit", textDecorationLine: "underline" }}>WebSocket Order Events</a> API to receive order status changes. It's much better because you'll be notified of order status changes as they happen.</p>
        <p style={{ margin: "0 0 8px" }}>Under the terms of the <a href="https://www.gemini.com/legal/api-agreement" style={{ color: "inherit", textDecorationLine: "underline" }}>Gemini API Agreement</a>, polling this endpoint may be subject to <a href="/rate-limit" style={{ color: "inherit", textDecorationLine: "underline" }}>rate limiting</a>.</p>
        <p style={{ margin: 0 }}>Enabled for perpetuals accounts from July 10th, 0100hrs ET onwards. Trade info for all perpetuals orders submitted prior to this timing, will not be available through this API.</p>
      </>
    )
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/order/status",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/order/status",
        nonce: "<nonce>",
        order_id: 123456789012345,
        include_trades: true,
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>orders:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getOrderStatus" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getOrderStatus" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getOrderStatus" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Cancel All Session Orders", href: "/trading/rest-api/orders/cancel-all-session-orders" }}
  next={{ label: "List Active Orders", href: "/trading/rest-api/orders/list-active-orders" }}
/>
